
### HTWG Initial Situation

#### Infrastructure Overview

```nwdiag
nwdiag {
    Router [shape = cloud];
    VMs [stacked, shape=note]
    FullContainers [stacked, shape = "ellipse"]
    Baremetal [stacked]
    Storage [shape = flowchart.database]

    network WAN {
        Router
    }

    network ethernet-switch {
        Baremetal
        ThinClients
        Router
    }

    network virtual-ethernet {
        FullContainers
        VMs
        Baremetal
    }

    network fibrechannel-switch {
        Baremetal
        Storage
    }
}
```

```blockdiag
blockdiag overview {
#    orientation = portrait;

    thinclients [stacked];

    class ovzcnt [shape = roundedbox]; 
    class kvm [shape = note]; 

    system_containers [stacked];

    HDD [stacked, shape = flowchart.database];

    group storage {
    }

    group tisrvs {
        LVM [shape = square, stacked];
        LVM -> HDD [style = dashed];

        group {
            label = "Containers (OpenVZ)";
            homer [class = ovzcnt];
            burns [class = ovzcnt];
            skinner [class = ovzcnt];

            group {
                label = "marge";
                marge [class = ovzcnt];
                LV -> LVM [style = dashed];
            }

        }

        group {
            label = "Machines (KVM)";
            lisa [class = kvm];
            ainsrv0 [class = kvm];
            more [class = kvm, stacked];
        }

    }

    group {
        label="thinclients";
        terminal-client -> thinclients [folded];
    }
}
```
